package com.sqx.modules.bl.massage.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sqx.modules.bl.massage.entity.MassagePackage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface MassagePackageDao extends BaseMapper<MassagePackage> {

    IPage<MassagePackage> findPage(Page<MassagePackage> page,@Param("params") MassagePackage massagePackage);
    int updateSales(MassagePackage massagePackage);
    int updateEsteemRate(MassagePackage massagePackage);
    int updateCoupon(MassagePackage massagePackage);
    int updateVip(MassagePackage massagePackage);
    int updateNewer(MassagePackage massagePackage);
    int updateStatus(MassagePackage massagePackage);
    int updatePrice(MassagePackage massagePackage);
    int delete(MassagePackage massagePackage);
    IPage<MassagePackage> findPackageAndMassagePage(Page<MassagePackage> page,@Param("params") MassagePackage massagePackage);
    IPage<MassagePackage> findAppActivityPage(Page<MassagePackage> page,@Param("params") MassagePackage massagePackage);
    MassagePackage getAppActivityDetail(Long id);
}